Skip to main content
GET
/
candles
cURL
curl --request GET \
  --url https://beta.rocketfi.io/candles
{
  "candles": [
    {
      "close": 123,
      "high": 123,
      "low": 123,
      "open": 123,
      "slot": 1,
      "timestamp": 1,
      "volume": 123
    }
  ]
}

Path Parameters

instrumentId
integer<int64>
required

Instrument ID to fetch candles for An instrument identifier (8-byte hash).

Required range: x >= 0
interval
enum<string>
required

Candle timeframe (1m, 5m, 15m, 30m, 1h, 4h, 1d) Candle timeframe/interval for aggregation

Available options:
1m,
5m,
15m,
30m,
1h,
4h,
1d
startTime
null | integer<int64>
required

Start timestamp in milliseconds (optional, defaults to 24h ago)

Required range: x >= 0
endTime
null | integer<int64>
required

End timestamp in milliseconds (optional, defaults to now)

Required range: x >= 0
limit
integer | null
required

Maximum number of candles to return (optional, defaults to 500, max 1000)

Required range: x >= 0

Response

Historical OHLCV candles

Response containing historical candles

candles
object[]
required

List of OHLCV candles